Bug 973853 - Review Request: create-tx-configuration - An easy way to create Transifex client configuration files
Review Request: create-tx-configuration - An easy way to create Transifex cli...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 21:21 EDT by Eric Christensen
Modified: 2014-01-24 16:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 16:21:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Eric Christensen 2013-06-12 21:21:27 EDT
Spec URL: http://sparks.fedorapeople.org/Packages/create-tx-configuration.spec
SRPM URL: http://sparks.fedorapeople.org/Packages/create-tx-configuration-0.2-1.fc18.src.rpm
Description: This script creates Transifex client configuration files based on POT files in the local pot/ directory.  This is useful for Publican-based documents that will be translated.
Fedora Account System Username: sparks
Comment 1 Eric Christensen 2013-06-12 21:25:24 EDT
$ rpmlint /var/lib/mock/fedora-18-x86_64/result/create-tx-configuration*
create-tx-configuration.noarch: W: spurious-executable-perm /usr/share/man/man1/create-tx-configuration.1.gz
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

I believe the warning is a false positive.  The source man page is not executable.
Comment 2 Ian Weller 2013-06-12 21:27:54 EDT
(In reply to Eric Christensen from comment #1)
> I believe the warning is a false positive.  The source man page is not
> executable.

install defaults to 755, so use -m to change the permissions.

You need to add the -p option to install to preserve timestamps.
Comment 3 Eric Christensen 2013-06-12 21:35:04 EDT
Spec URL: http://sparks.fedorapeople.org/Packages/create-tx-configuration.spec
SRPM URL: http://sparks.fedorapeople.org/Packages/create-tx-configuration-0.2-2.fc18.src.rpm
Description: This script creates Transifex client configuration files based on POT files in the local pot/ directory.  This is useful for Publican-based documents that will be translated.
Fedora Account System Username: sparks

$ rpmlint /var/lib/mock/fedora-18-x86_64/result/create-tx-configuration-0.2-2.fc18.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 4 Ian Weller 2013-06-12 21:56:09 EDT
Review below. Fix the rm -rf %{buildroot} and the License tag bit when you commit. Otherwise APPROVED.

----

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.

ian's note: actual license is AGPLv3+

[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: create-tx-configuration-0.2-2.fc18.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint create-tx-configuration
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
create-tx-configuration (rpmlib, GLIBC filtered):
    /usr/bin/env



Provides
--------
create-tx-configuration:
    create-tx-configuration



Source checksums
----------------
https://gitorious.org/create-tx-configuration/create-tx-configuration/blobs/raw/974e04746eb83d40a766a52aebe20f999be57bbe/create-tx-configuration-0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 3dd33174cf8627208d08213073b8a37709d3c901a8f9dd2dff9fbba4aa5b1aaf
  CHECKSUM(SHA256) upstream package : 3dd33174cf8627208d08213073b8a37709d3c901a8f9dd2dff9fbba4aa5b1aaf


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 973853
Comment 5 Ian Weller 2013-06-12 21:56:53 EDT
(In reply to Ian Weller from comment #4)
> [ ]: %check is present and all tests pass.
> [ ]: Packages should try to preserve timestamps of original installed files.

I can't read, these both are fine
Comment 6 Eric Christensen 2013-06-12 22:18:36 EDT
New Package SCM Request
=======================
Package Name: create-tx-configuration
Short Description: An easy way to create Transifex client configuration files
Owners: sparks
Branches: f18 f19
InitialCC:
Comment 7 Gwyn Ciesla 2013-06-13 08:13:14 EDT
Git done (by process-git-requests).
Comment 8 Eric Christensen 2014-01-17 09:09:27 EST
Package Change Request
======================
Package Name: create-tx-configuration
New Branches: epel7
Owners: Sparks
Comment 9 Gwyn Ciesla 2014-01-17 09:38:07 EST
Git done (by process-git-requests).

Fixed fas user.
Comment 10 Eric Christensen 2014-01-24 16:21:25 EST
Thanks!

Note You need to log in before you can comment on or make changes to this bug.